org.gnome.gtk

## Interface TextBuffer.InsertText

- Enclosing class:
    TextBuffer

      public static interface TextBuffer.InsertText

  Signal emitted when text is inserted into the TextBuffer.

  You must leave the TextIter `pointer` in a valid state; that is, if you do something in your signal handler that changes the TextBuffer, you must revalidate `pos` before returning.

  The default handler for this signal is where the mechanism to actually insert text into the TextBuffer lives.

  Since:
    4.0.9
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onInsertText(TextBuffer source, TextIter pointer, String text)`

- - ### Method Detail

    - #### onInsertText

          void onInsertText(TextBuffer source,
                          TextIter pointer,
                          String text)